Subject: [tcpm] FW: The TSVWG WG has placed draft-black-tsvwg-ecn-experimentation in state "Call For Adoption By WG Issued"

From: "Black, David" <[email-masked]>
Date: Wed, 23 Nov 2016 21:38:58 +0000

FYI, please comment on the TSVWG list, Thanks, --David

-----Original Message-----
From: tsvwg [mailto:[email-masked]] On Behalf Of Black, David
Sent: Wednesday, November 23, 2016 4:25 PM
To: [email-masked]
Subject: Re: [tsvwg] The TSVWG WG has placed draft-black-tsvwg-ecn-experimentation in state "Call For Adoption By WG Issued"

Written as draft author, *not* WG chair, here are a few more details.

> Following discussion at the IETF meeting in Seoul, this email starts a
> formal adoption call for the above process draft. The draft, if adopted
> will form the *BASIS* for a PS Update to RFC 3168, allowing the way for
> experimentation using the ECT codepoint by publication of Experimental
> RFCs. The document also proposes ending the previous IETF experiment
> known as the "ECN Nonce".

This draft also enables experimentation with different sender responses
to ECN-detected congestion (CE-marked packets) by comparison to drops,
and with use of ECN on TCP control packets and retransmitted packets.
Drafts for these two areas of experimentation are being handled by
the TCPM WG - in contrast, L4S is expected to be handled by the TSVWG
WG.  Also, the ECT codepoint intended for experimentation is ECT(1).

I want to emphasize "*BASIS*" above.  This is only an adoption call - the text
in this draft will almost certainly be modified before the WG is done with this
draft.

Opposing adoption of this draft is effectively taking the position that one or
more of the referenced experiments are very bad ideas that should not be
pursued.

Thanks, --David

> -----Original Message-----
> From: IETF Secretariat [mailto:[email-masked]]
> Sent: Wednesday, November 23, 2016 12:27 PM
> To: [email-masked]; [email-masked]; draft-black-tsvwg-ecn-
> [email-masked]
> Subject: The TSVWG WG has placed draft-black-tsvwg-ecn-experimentation in
> state "Call For Adoption By WG Issued"
> 
> 
> The TSVWG WG has placed draft-black-tsvwg-ecn-experimentation in state
> Call For Adoption By WG Issued (entered by Gorry Fairhurst)
> 
> The document is available at
> https://datatracker.ietf.org/doc/draft-black-tsvwg-ecn-experimentation/
> 
> 
> Comment:
> Following discussion at the IETF meeting in Seoul, this email starts a
> formal adoption call for the above process draft. The draft, if adopted
> will form the *BASIS* for a PS Update to RFC 3168, allowing the way for
> experimentation using the ECT codepoint by publication of Experimental
> RFCs. The document also proposes ending the previous IETF experiment
> known as the "ECN Nonce".
> 
> Comments are welcome on the list to indicate if such a document is
> considered useful for the IETF to publish, or expressing concerns about
> any of these topics. You may also send comments on the current text (and
> these are welcome), but, if you do, please also clearly indicate if you
> support the progress of work on this topic within TSVWG.
> 
> All comments need to be received by 9th Dec 2016, after which a decision
> will be made on how to progress. (You may read about the adoption process
> in RFC7221.)